pcl::io::depth_sense::DepthSenseGrabberImpl Struct Reference

`#include <pcl/io/depth_sense/depth_sense_grabber_impl.h>`

## Public Types

using | sig_cb_depth_sense_point_cloud = DepthSenseGrabber::sig_cb_depth_sense_point_cloud
using | sig_cb_depth_sense_point_cloud_rgba = DepthSenseGrabber::sig_cb_depth_sense_point_cloud_rgba

## Public Member Functions

| DepthSenseGrabberImpl (DepthSenseGrabber *parent, const std::string &device_id)
| ~DepthSenseGrabberImpl () noexcept
void | start ()
void | stop ()
float | getFramesPerSecond () const
void | setConfidenceThreshold (int threshold)
void | enableTemporalFiltering (DepthSenseGrabber::TemporalFilteringType type, std::size_t window_size)
void | setCameraParameters (const DepthSense::StereoCameraParameters &parameters)
void | configureDepthNode (DepthSense::DepthNode node) const
void | configureColorNode (DepthSense::ColorNode node) const
void | onDepthDataReceived (DepthSense::DepthNode node, DepthSense::DepthNode::NewSampleReceivedData data)
| A callback for processing depth data. More...
void | onColorDataReceived (DepthSense::ColorNode node, DepthSense::ColorNode::NewSampleReceivedData data)
| A callback for processing color data. More...
template<typename Point >
void | computeXYZ (PointCloud< Point > &cloud)

## Public Attributes

DepthSenseGrabber * | p_
| Parent grabber. More...
std::string | device_id_
| Serial number of the device captured by this grabber. More...
bool | is_running_
int | confidence_threshold_
DepthSenseGrabber::TemporalFilteringType | temporal_filtering_type_
std::shared_ptr< DepthSense::ProjectionHelper > | projection_
boost::signals2::signal< sig_cb_depth_sense_point_cloud > * | point_cloud_signal_
| Signal to indicate whether new XYZ cloud is available. More...
boost::signals2::signal< sig_cb_depth_sense_point_cloud_rgba > * | point_cloud_rgba_signal_
| Signal to indicate whether new XYZRGBA cloud is available. More...
bool | need_xyz_
| Indicates whether there are subscribers for PointXYZ signal. More...
bool | need_xyzrgba_
| Indicates whether there are subscribers for PointXYZRGBA signal. More...
EventFrequency | frequency_
std::mutex | fps_mutex_
std::vector< std::uint8_t > | color_data_
| Temporary buffer to store color data. More...
std::shared_ptr< pcl::io::Buffer< float > > | depth_buffer_

## Static Public Attributes

static const int | FRAMERATE = 30
static const int | WIDTH = 320
static const int | HEIGHT = 240
static const int | SIZE = WIDTH * HEIGHT
static const int | COLOR_WIDTH = 640
static const int | COLOR_HEIGHT = 480
static const int | COLOR_SIZE = COLOR_WIDTH * COLOR_HEIGHT

## Detailed Description

Definition at line 58 of file depth_sense_grabber_impl.h.

## Member Typedef Documentation

## sig_cb_depth_sense_point_cloud

using pcl::io::depth_sense::DepthSenseGrabberImpl::sig_cb_depth_sense_point_cloud = DepthSenseGrabber::sig_cb_depth_sense_point_cloud

Definition at line 74 of file depth_sense_grabber_impl.h.

## sig_cb_depth_sense_point_cloud_rgba

using pcl::io::depth_sense::DepthSenseGrabberImpl::sig_cb_depth_sense_point_cloud_rgba = DepthSenseGrabber::sig_cb_depth_sense_point_cloud_rgba

Definition at line 75 of file depth_sense_grabber_impl.h.

## Constructor & Destructor Documentation

## DepthSenseGrabberImpl()

pcl::io::depth_sense::DepthSenseGrabberImpl::DepthSenseGrabberImpl | ( | DepthSenseGrabber * | parent,
|  | const std::string & | device_id
| ) |  |

## ~DepthSenseGrabberImpl()

pcl::io::depth_sense::DepthSenseGrabberImpl::~DepthSenseGrabberImpl | ( |  | ) |

noexcept

## Member Function Documentation

## computeXYZ()

template<typename Point >

void pcl::io::depth_sense::DepthSenseGrabberImpl::computeXYZ | ( | PointCloud< Point > & | cloud | ) |

## configureColorNode()

void pcl::io::depth_sense::DepthSenseGrabberImpl::configureColorNode | ( | DepthSense::ColorNode | node | ) | const

## configureDepthNode()

void pcl::io::depth_sense::DepthSenseGrabberImpl::configureDepthNode | ( | DepthSense::DepthNode | node | ) | const

## enableTemporalFiltering()

void pcl::io::depth_sense::DepthSenseGrabberImpl::enableTemporalFiltering | ( | DepthSenseGrabber::TemporalFilteringType | type,
|  | std::size_t | window_size
| ) |  |

## getFramesPerSecond()

float pcl::io::depth_sense::DepthSenseGrabberImpl::getFramesPerSecond | ( |  | ) | const

## onColorDataReceived()

void pcl::io::depth_sense::DepthSenseGrabberImpl::onColorDataReceived | ( | DepthSense::ColorNode | node,
|  | DepthSense::ColorNode::NewSampleReceivedData | data
| ) |  |

A callback for processing color data.

It is supposed to be called from the DepthSense::Context thread that is managed by DepthSenseDeviceManager.

## onDepthDataReceived()

void pcl::io::depth_sense::DepthSenseGrabberImpl::onDepthDataReceived | ( | DepthSense::DepthNode | node,
|  | DepthSense::DepthNode::NewSampleReceivedData | data
| ) |  |

A callback for processing depth data.

It is supposed to be called from the DepthSense::Context thread that is managed by DepthSenseDeviceManager.

## setCameraParameters()

void pcl::io::depth_sense::DepthSenseGrabberImpl::setCameraParameters | ( | const DepthSense::StereoCameraParameters & | parameters | ) |

## setConfidenceThreshold()

void pcl::io::depth_sense::DepthSenseGrabberImpl::setConfidenceThreshold | ( | int | threshold | ) |

## start()

void pcl::io::depth_sense::DepthSenseGrabberImpl::start | ( |  | ) |

## stop()

void pcl::io::depth_sense::DepthSenseGrabberImpl::stop | ( |  | ) |

## Member Data Documentation

## color_data_

std::vector<std::uint8_t> pcl::io::depth_sense::DepthSenseGrabberImpl::color_data_

Temporary buffer to store color data.

Definition at line 94 of file depth_sense_grabber_impl.h.

## COLOR_HEIGHT

const int pcl::io::depth_sense::DepthSenseGrabberImpl::COLOR_HEIGHT = 480

static

Definition at line 103 of file depth_sense_grabber_impl.h.

## COLOR_SIZE

const int pcl::io::depth_sense::DepthSenseGrabberImpl::COLOR_SIZE = COLOR_WIDTH * COLOR_HEIGHT

static

Definition at line 104 of file depth_sense_grabber_impl.h.

## COLOR_WIDTH

const int pcl::io::depth_sense::DepthSenseGrabberImpl::COLOR_WIDTH = 640

static

Definition at line 102 of file depth_sense_grabber_impl.h.

## confidence_threshold_

int pcl::io::depth_sense::DepthSenseGrabberImpl::confidence_threshold_

Definition at line 69 of file depth_sense_grabber_impl.h.

## depth_buffer_

std::shared_ptr<pcl::io::Buffer<float> > pcl::io::depth_sense::DepthSenseGrabberImpl::depth_buffer_

Definition at line 96 of file depth_sense_grabber_impl.h.

## device_id_

std::string pcl::io::depth_sense::DepthSenseGrabberImpl::device_id_

Serial number of the device captured by this grabber.

Definition at line 65 of file depth_sense_grabber_impl.h.

## fps_mutex_

std::mutex pcl::io::depth_sense::DepthSenseGrabberImpl::fps_mutex_

mutable

Definition at line 91 of file depth_sense_grabber_impl.h.

## FRAMERATE

const int pcl::io::depth_sense::DepthSenseGrabberImpl::FRAMERATE = 30

static

Definition at line 98 of file depth_sense_grabber_impl.h.

## frequency_

EventFrequency pcl::io::depth_sense::DepthSenseGrabberImpl::frequency_

Definition at line 90 of file depth_sense_grabber_impl.h.

## HEIGHT

const int pcl::io::depth_sense::DepthSenseGrabberImpl::HEIGHT = 240

static

Definition at line 100 of file depth_sense_grabber_impl.h.

## is_running_

bool pcl::io::depth_sense::DepthSenseGrabberImpl::is_running_

Definition at line 67 of file depth_sense_grabber_impl.h.

## need_xyz_

bool pcl::io::depth_sense::DepthSenseGrabberImpl::need_xyz_

Indicates whether there are subscribers for PointXYZ signal.

This is computed and stored on start()

Definition at line 84 of file depth_sense_grabber_impl.h.

## need_xyzrgba_

bool pcl::io::depth_sense::DepthSenseGrabberImpl::need_xyzrgba_

Indicates whether there are subscribers for PointXYZRGBA signal.

This is computed and stored on start()

Definition at line 88 of file depth_sense_grabber_impl.h.

## p_

DepthSenseGrabber* pcl::io::depth_sense::DepthSenseGrabberImpl::p_

Parent grabber.

Definition at line 62 of file depth_sense_grabber_impl.h.

## point_cloud_rgba_signal_

boost::signals2::signal<sig_cb_depth_sense_point_cloud_rgba>* pcl::io::depth_sense::DepthSenseGrabberImpl::point_cloud_rgba_signal_

Signal to indicate whether new XYZRGBA cloud is available.

Definition at line 80 of file depth_sense_grabber_impl.h.

## point_cloud_signal_

boost::signals2::signal<sig_cb_depth_sense_point_cloud>* pcl::io::depth_sense::DepthSenseGrabberImpl::point_cloud_signal_

Signal to indicate whether new XYZ cloud is available.

Definition at line 78 of file depth_sense_grabber_impl.h.

## projection_

std::shared_ptr<DepthSense::ProjectionHelper> pcl::io::depth_sense::DepthSenseGrabberImpl::projection_

Definition at line 72 of file depth_sense_grabber_impl.h.

## SIZE

const int pcl::io::depth_sense::DepthSenseGrabberImpl::SIZE = WIDTH * HEIGHT

static

Definition at line 101 of file depth_sense_grabber_impl.h.

## temporal_filtering_type_

DepthSenseGrabber::TemporalFilteringType pcl::io::depth_sense::DepthSenseGrabberImpl::temporal_filtering_type_

Definition at line 70 of file depth_sense_grabber_impl.h.

## WIDTH

const int pcl::io::depth_sense::DepthSenseGrabberImpl::WIDTH = 320

static

Definition at line 99 of file depth_sense_grabber_impl.h.

The documentation for this struct was generated from the following file:

- pcl/io/depth_sense/depth_sense_grabber_impl.h